# $Revision: 1.4 $, $Date: 2012/01/24 11:09:26 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	MooseX
%define		pnam	Role-WithOverloading
%include	/usr/lib/rpm/macros.perl
Summary:	MooseX::Role::WithOverloading - Roles which support overloading
#Summary(pl.UTF-8):	
Name:		perl-MooseX-Role-WithOverloading
Version:	0.09
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MooseX/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	47a9ba06b0d2ca69a1fd65482852ee4a
# generic URL, check or change before uncommenting
#URL:		http://search.cpan.org/dist/MooseX-Role-WithOverloading/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Moose >= 0.94
BuildRequires:	perl-MooseX-Types
BuildRequires:	perl-aliased
BuildRequires:	perl-namespace-autoclean
BuildRequires:	perl-namespace-clean
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MooseX::Role::WithOverloading allows you to write a Moose::Role which
defines overloaded operators and allows those operator overloadings to
be composed into the classes/roles/instances it's compiled to, while
plain Moose::Roles would lose the overloading.

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/MooseX
%dir %{perl_vendorarch}/MooseX/Role
%{perl_vendorarch}/MooseX/Role/WithOverloading
%{perl_vendorarch}/MooseX/Role/WithOverloading.pm
%dir %{perl_vendorarch}/auto/MooseX
%dir %{perl_vendorarch}/auto/MooseX/Role
%dir %{perl_vendorarch}/auto/MooseX/Role/WithOverloading
%{perl_vendorarch}/auto/MooseX/Role/WithOverloading/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/MooseX/Role/WithOverloading/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MooseX-Role-WithOverloading.spec,v $
Revision 1.4  2012/01/24 11:09:26  zbyniu
- and more; rel 3

Revision 1.3  2012/01/24 10:59:57  zbyniu
- one more dir; rel 2

Revision 1.2  2012/01/24 10:23:32  zbyniu
- dirs %{perl_vendorarch}/MooseX{,/Role} added here, no better place

Revision 1.1  2012/01/23 22:24:19  zbyniu
- new
